# cwl_utils.file_formats

CWL file formats utilities.

For more information, please visit https://www.commonwl.org/user_guide/16-file-formats/

## Functions

`formatSubclassOf`(fmt, cls, ontology, visited) | Determine if fmt is a subclass of cls.
`check_format`(actual_file, input_formats, ontology) | Confirm that the format present is valid for the allowed formats.

## Module Contents

cwl_utils.file_formats.formatSubclassOf(fmt, cls, ontology, visited)

  Determine if fmt is a subclass of cls.

  Parameters:

    - fmt (str)

    - cls (str)

    - ontology (rdflib.Graph | None)

    - visited (set[str])

  Return type:

    bool

cwl_utils.file_formats.check_format(actual_file, input_formats, ontology)

  Confirm that the format present is valid for the allowed formats.

  Parameters:

    - actual_file (cwl_utils.types.CWLFileType | list[cwl_utils.types.CWLFileType])

    - input_formats (list[str] | str)

    - ontology (rdflib.Graph | None)

  Return type:

    None